Bug 133620 - FORMATTING : When multiple text boxes are selected, right-click context menu does not show the Text menu item
Summary: FORMATTING : When multiple text boxes are selected, right-click context menu ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.4.4.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2020-06-03 03:25 UTC by stievenard.david
Modified: 2022-11-11 03:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stievenard.david 2020-06-03 03:25:31 UTC
Description:
Applying text formatting properties seems to be possible to only one text box at the time.

Example of text formatting properties : spacing to borders, text Anchor, Drawing object text...

Those properties are also not available in the 'property bar' that can be opened with F11. 'Paragraph' is visible but not 'text' properties.

Be able to apply those properties to many text box / objects in one operation could be a nice time saver.

Steps to Reproduce:
1. create several text box
2. select all of them 
3. right click to get the context menu
4. try to find the 'text' sub menu in the context menu

Actual Results:
Text formatting sub menu doesn't appear

Expected Results:
Text formatting should appear to let the user do this massibe


Reproducible: Always


User Profile Reset: No



Additional Info:
Doing the same operation on only one text box works.

A workaround : set the properties as needed on a first text box and copy it again and again.
Comment 1 Buovjaga 2020-10-17 14:12:55 UTC
Reproduced. You can achieve this by going to the Format menu.

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 9b34dc20b6946698ae6ce2d5d859885bfb444633
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 16 October 2020
Comment 2 stievenard.david 2020-11-10 03:47:07 UTC
I just tried with the menu/format/text and the settings you input don't apply to the text box

tested on libre office 6.3.5.2 on linux ubuntu 19.10
Comment 3 Buovjaga 2020-11-10 07:18:12 UTC
(In reply to stievenard.david from comment #2)
> I just tried with the menu/format/text and the settings you input don't
> apply to the text box
> 
> tested on libre office 6.3.5.2 on linux ubuntu 19.10

Format menu did work for me at the time I tested. You can test a fresher release by using an appimage: https://libreoffice.soluzioniopen.com/
Comment 4 QA Administrators 2022-11-11 03:56:32 UTC
Dear stievenard.david,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug